DMAC_CHPRILVL_Type Union Reference

## Data Fields

struct {
uint8_t PRILVL:2
uint8_t __pad0__:6
} | bit
uint8_t | reg

## Detailed Description

Definition at line 1009 of file dmac.h.

## Field Documentation

## __pad0__

uint8_t DMAC_CHPRILVL_Type::__pad0__

bit: 2.. 7 Reserved

Definition at line 1012 of file dmac.h.

## bit

struct { ... } DMAC_CHPRILVL_Type::bit

Structure used for bit access

## PRILVL

uint8_t DMAC_CHPRILVL_Type::PRILVL

bit: 0.. 1 Channel Priority Level

Definition at line 1011 of file dmac.h.

## reg

uint8_t DMAC_CHPRILVL_Type::reg

Type used for register access

Definition at line 1014 of file dmac.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/dmac.h